﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Koule
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        double Objem (double pol)
        {
            return (4 / 3f) * Math.PI * Math.Pow(pol, 3);
        }

        double Povrch (double pol)
        {
            return 4 * Math.PI * pol * pol;
        }

 //       double ObjemJinak (double pol) => (4 / 3f) * Math.PI * Math.Pow(pol, 3);

        void ObjemAPovrchKoule (double pol, out double v, out double s)
        {
            s = 4 * Math.PI * pol * pol;
            v = (4 / 3f) * Math.PI * Math.Pow(pol, 3);
        }

        private void BtnVypocet_Click(object sender, RoutedEventArgs e)
        {
            double v, s;
            double r = double.Parse(TxtPolomer.Text);

            s = 4 * Math.PI * r * r;
            v = (4 / 3f) * Math.PI * Math.Pow(r, 3);
            
            TxtObjem.Text = v.ToString("n2");
            TxtPovrch.Text = s.ToString("n2");

        }

        private void BtnVypocet1_Click(object sender, RoutedEventArgs e)
        {
            double v, s;
            double r = double.Parse(TxtPolomer.Text);

            s = Povrch (r);
            v = Objem(r) ;

            TxtObjem.Text = v.ToString("n2");
            TxtPovrch.Text = s.ToString("n2");
        }

        private void BtnVypocet2_Click(object sender, RoutedEventArgs e)
        {
            double r = double.Parse(TxtPolomer.Text);

            ObjemAPovrchKoule(r, out double v, out double s);

            TxtObjem.Text = v.ToString("n2");
            TxtPovrch.Text = s.ToString("n2");
        }
    }
}
